# Code détecteur d'erreur : bit de parité

def calculeParite(message,parite):
    somme = 0
    for x in message:
        somme = (somme + int(x)) % 2
    if parite == "pair":
        return message + str(somme)
    elif parite == "impair":
        return message + str((somme+1) % 2)
    elif parite == "aucune":
        return message
    else:
        print("Exception : parité non reconnue")
        return message

message = "00100101"

print(calculeParite(message,"pair"))
print(calculeParite(message,"impair"))
print(calculeParite(message,"aucune"))
print(calculeParite(message,"toto"))

def testeMessage(message,parite):
    messageSansParite = message[0:8]
    messagePariteRecalculee = calculeParite(messageSansParite,parite)
    if messagePariteRecalculee == message:
        print("message correct")
    else:
        print("message altéré")

testeMessage("001001011","pair")
testeMessage("101001011","pair")
testeMessage("101000011","pair")
testeMessage("001001010","impair")
testeMessage("101001010","impair")
testeMessage("101000010","impair")