﻿# Fonction qui calcule l'inverse de a dans Z / 256Z
# Il est nécessaire que a soit premier avec 256
def inverseZs256Z(a):
    b = 256
    (u0, v0, u1, v1)=(1, 0, 0, 1)
    while b:
        (q, r) = divmod(a, b)
        (a, b) = (b, r)
        (u0, v0, u1, v1) = (u1, v1, u0-q*u1, v0-q*v1)
    if u0 < 0:
        u0 = u0+256
    return u0